Bug 174913 - [patch] update games/gemrb 0.7.1 to 0.7.2
Summary: [patch] update games/gemrb 0.7.1 to 0.7.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alex Kozlov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-02 22:00 UTC by jakub_lach
Modified: 2013-01-18 05:50 UTC (History)
0 users

See Also:


Attachments
file.diff (94.42 KB, patch)
2013-01-02 22:00 UTC, jakub_lach
no flags Details | Diff
patch_v2_1.txt (96.79 KB, text/plain)
2013-01-03 11:48 UTC, jakub_lach
no flags Details
patch_v2.txt (96.79 KB, text/plain)
2013-01-03 11:32 UTC, jakub_lach
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description jakub_lach 2013-01-02 22:00:02 UTC
Update to 0.7.2, somehow tidy Makefile according to portlint. 

PS. I detest INSTALLS_ICONS as it pulls in lots of really unneeded dependencies, just because port happens to install few icons. How it could be correctly handled? 

Make config option would be somewhat overkill, if using it then converting to full optionng would be in order for docs (PORT_OPTIONS:MDOCS) as well. 

Frankly, I consider what is now lest obtrusive... I've regenerated pkg-plist with ports-mgmt/pkg-plist not sure if this is correct way, I do not have experience with such massive plist.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-01-02 22:00:28 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-01-02 22:00:28 UTC
Maintainer of games/gemrb,

Please note that PR ports/174913 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/174913

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Timothy Beyer 2013-01-03 07:59:27 UTC
At Wed, 2 Jan 2013 22:00:28 UT,
Edwin Groothuis wrote:
> 
> Maintainer of games/gemrb,
> 
> Please note that PR ports/174913 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/174913
> 
> -- 
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
> 

Hi,

Jackub, can you follow up with your improved patch? I tested it with portlint -CA, and the main thing that it doesn't like is the lack of INSTALLS_ICONS.  I agree with you, (so much unnecessary GNOME bloat on many ports) however, I have no idea of another way to do it...  I'm OK with omitting that, but it depends what the opinions of committers are on this matter, as I'd rather not defy portlint without justification.

I tested the improved patch that you sent me which builds, installs, uninstalls and runs properly.

As for the pkg-plist, yes that is the way I generate it, and it looks fine (your revised patch is better though, please follow up to this message with that patch)

Approved, depending on what the call is on INSTALLS_ICONS.

Regards,
Tim
Comment 4 jakub_lach 2013-01-03 11:32:12 UTC
Cleaner version of patch attached.
Comment 5 jakub_lach 2013-01-03 11:48:08 UTC
Uh, I've misfiled follow up... 

Improved patch attached (better plist and no portrevision).=
Comment 6 dfilter service freebsd_committer 2013-01-18 05:45:14 UTC
Author: ak
Date: Fri Jan 18 05:45:03 2013
New Revision: 310582
URL: http://svnweb.freebsd.org/changeset/ports/310582

Log:
  - Update to 0.7.2 [1]
  - Convert Makefile headers to new style [1]
  - Convert to new options framework
  - Remove broken NO_INSTALL_MANPAGES
  
  PR:	ports/174913 (based on) [1]
  Submitted by:		Jakub Lach <jakub_lach@mailplus.pl>
  Approved by:	Timothy Beyer <beyert@cs.ucr.edu> (maintainer)

Deleted:
  head/games/gemrb/files/
Modified:
  head/games/gemrb/Makefile
  head/games/gemrb/distinfo   (contents, props changed)
  head/games/gemrb/pkg-plist   (contents, props changed)

Modified: head/games/gemrb/Makefile
==============================================================================
--- head/games/gemrb/Makefile	Fri Jan 18 04:28:38 2013	(r310581)
+++ head/games/gemrb/Makefile	Fri Jan 18 05:45:03 2013	(r310582)
@@ -1,13 +1,7 @@
-# New ports collection makefile for:	gemrb
-# Date created:			21 Apr 2008
-# Whom:				Timothy Beyer <beyert@cs.ucr.edu>
-#
 # $FreeBSD$
-#
 
 PORTNAME=	gemrb
-PORTVERSION=	0.7.1
-PORTREVISION=	1
+PORTVERSION=	0.7.2
 CATEGORIES=	games emulators
 MASTER_SITES=	SF/${PORTNAME}/GemRB%20Sources/GemRB%20${PORTVERSION}%20Sources
 
@@ -29,15 +23,25 @@ CFLAGS+=	-L${LOCALBASE}/lib -I${LOCALBAS
 CMAKE_C_FLAGS=	${CFLAGS}
 CMAKE_ARGS=	-DDOC_DIR="${DOCSDIR}" -DMAN_DIR="${MAN6PREFIX}/man/man6/" -DDISABLE_WERROR=1 -DINSOURCEBUILD=1
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
-.if !defined(NO_INSTALL_MANPAGES)
 MAN6=		gemrb.6
-.endif
 
 post-patch:
-.if defined(NOPORTDOCS)
-EXTRA_PATCHES+=	${PATCHDIR}/extra-patch-noportdocs-*
+	@${REINPLACE_CMD} \
+	-e '/^ADD_SUBDIRECTORY( VLCPlayer )/d' \
+	${WRKSRC}/gemrb/plugins/CMakeLists.txt
+
+.if empty(PORT_OPTIONS:MDOCS)
+	@${REINPLACE_CMD} \
+	-e '/^INSTALL( FILES README INSTALL COPYING NEWS AUTHORS DESTINATION \$${DOC_DIR} )/d' \
+	${WRKSRC}/CMakeLists.txt
+	@${REINPLACE_CMD} \
+	-e '/^ADD_SUBDIRECTORY( docs )/d' \
+	${WRKSRC}/gemrb/CMakeLists.txt
+	@${REINPLACE_CMD} \
+	-e '/^ADD_SUBDIRECTORY( en )/d' \
+	${WRKSRC}/gemrb/docs/CMakeLists.txt
 .endif
 
 post-install:
@@ -46,4 +50,4 @@ post-install:
 	fi
 	@${CAT} ${PKGMESSAGE}
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/games/gemrb/distinfo
==============================================================================
--- head/games/gemrb/distinfo	Fri Jan 18 04:28:38 2013	(r310581)
+++ head/games/gemrb/distinfo	Fri Jan 18 05:45:03 2013	(r310582)
@@ -1,2 +1,2 @@
-SHA256 (gemrb-0.7.1.tar.gz) = d0dd73654f465de9e549acbf1b98e61ee49b443342c55fc4926fac8665e0d350
-SIZE (gemrb-0.7.1.tar.gz) = 2079721
+SHA256 (gemrb-0.7.2.tar.gz) = a649f21a353f1acb52a7dc5e336fcc0669815c99a4e294416945e5661e81a540
+SIZE (gemrb-0.7.2.tar.gz) = 2066407

Modified: head/games/gemrb/pkg-plist
==============================================================================
--- head/games/gemrb/pkg-plist	Fri Jan 18 04:28:38 2013	(r310581)
+++ head/games/gemrb/pkg-plist	Fri Jan 18 05:45:03 2013	(r310582)
@@ -1,8 +1,8 @@
 @unexec if cmp -s %D/etc/gemrb/GemRB.cfg.sample %D/etc/gemrb.cfg; then rm -f %D/etc/gemrb.cfg; fi
 bin/extend2da.py
 bin/gemrb
-%%ETCDIR%%/GemRB.cfg.noinstall.sample
 %%ETCDIR%%/GemRB.cfg.sample
+%%ETCDIR%%/GemRB.cfg.noinstall.sample
 lib/gemrb/libgemrb_core.so
 lib/gemrb/plugins/2DAImporter.so
 lib/gemrb/plugins/ACMReader.so
@@ -48,15 +48,11 @@ lib/gemrb/plugins/WAVReader.so
 lib/gemrb/plugins/WEDImporter.so
 lib/gemrb/plugins/WMPImporter.so
 lib/gemrb/plugins/ZLibManager.so
-share/applications/gemrb.desktop
-share/pixmaps/gemrb.png
-%%PORTDOCS%%%%DOCSDIR%%/AUTHORS
-%%PORTDOCS%%%%DOCSDIR%%/COPYING
+%%PORTDOCS%%%%DOCSDIR%%/README
 %%PORTDOCS%%%%DOCSDIR%%/INSTALL
+%%PORTDOCS%%%%DOCSDIR%%/COPYING
 %%PORTDOCS%%%%DOCSDIR%%/NEWS
-%%PORTDOCS%%%%DOCSDIR%%/README
-%%PORTDOCS%%%%DOCSDIR%%/en/CMakeFiles/CMakeDirectoryInformation.cmake
-%%PORTDOCS%%%%DOCSDIR%%/en/CMakeFiles/progress.marks
+%%PORTDOCS%%%%DOCSDIR%%/AUTHORS
 %%PORTDOCS%%%%DOCSDIR%%/en/CheatKeys.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/CodingStyle.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/Engine/Charcolors.txt
@@ -83,6 +79,7 @@ share/pixmaps/gemrb.png
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/Button_SetFlags.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/Button_SetFont.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/Button_SetItemIcon.txt
+%%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/CheckVar.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/Button_SetMOS.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/Button_SetOverlay.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/Button_SetPLT.txt
@@ -99,7 +96,6 @@ share/pixmaps/gemrb.png
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/ChangeItemFlag.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/ChangeStoreItem.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/CheckFeatCondition.txt
-%%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/CheckVar.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/ClearActions.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/Control_AttachScrollBar.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/Control_QueryText.txt
@@ -150,6 +146,7 @@ share/pixmaps/gemrb.png
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/GameControlSetLastActor.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/GameControlSetScreenFlags.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/GameControlSetTargetMode.txt
+%%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/GamePause.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/GameGetExpansion.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/GameGetFirstSelectedActor.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/GameGetFirstSelectedPC.txt
@@ -159,13 +156,13 @@ share/pixmaps/gemrb.png
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/GameGetSelectedPCSingle.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/GameIsBeastKnown.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/GameIsPCSelected.txt
-%%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/GamePause.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/GameSelectPC.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/GameSelectPCSingle.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/GameSetExpansion.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/GameSetFormation.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/GameSetPartyGold.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/GameSetPartySize.txt
+%%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/GetItem.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/GameSetProtagonistMode.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/GameSetReputation.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/GameSetScreenFlags.txt
@@ -190,7 +187,6 @@ share/pixmaps/gemrb.png
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/GetINIPartyCount.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/GetINIPartyKey.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/GetINIQuestsKey.txt
-%%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/GetItem.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/GetJournalEntry.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/GetJournalSize.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/GetKnownSpell.txt
@@ -217,6 +213,7 @@ share/pixmaps/gemrb.png
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/GetSaveGames.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/GetSelectedActors.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/GetSelectedSize.txt
+%%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/GetVar.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/GetSlotItem.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/GetSlotType.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/GetSlots.txt
@@ -237,7 +234,6 @@ share/pixmaps/gemrb.png
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/GetTableRowName.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/GetTableValue.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/GetToken.txt
-%%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/GetVar.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/HardEndPL.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/HasControl.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/HasFeat.txt
@@ -264,6 +260,7 @@ share/pixmaps/gemrb.png
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/LoadWindowFrame.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/LoadWindowPack.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/MemorizeSpell.txt
+%%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/MessageWindowDebug.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/ModifyEffect.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/MoveTAText.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/MoveToArea.txt
@@ -324,6 +321,7 @@ share/pixmaps/gemrb.png
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/SetLabelUseRGB.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/SetMapAnimation.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/SetMapDoor.txt
+%%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/SetText.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/SetMapExit.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/SetMapRegion.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/SetMapnote.txt
@@ -341,16 +339,15 @@ share/pixmaps/gemrb.png
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/SetPlayerString.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/SetPurchasedAmount.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/SetRepeatClickFlags.txt
+%%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/SetTickHook.txt
+%%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/SetToken.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/SetSaveGamePortrait.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/SetSaveGamePreview.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/SetScrollBarSprites.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/SetSpellIcon.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/SetTAHistory.txt
-%%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/SetText.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/SetTextAreaFlags.txt
-%%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/SetTickHook.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/SetTimedEvent.txt
-%%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/SetToken.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/SetTooltip.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/SetTooltipDelay.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/SetVar.txt
@@ -395,10 +392,10 @@ share/pixmaps/gemrb.png
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/TextArea_Rewind.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/TextArea_Scroll.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/TextArea_SelectText.txt
+%%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/UnhideGUI.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/TextArea_SetHistory.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/TextEdit_ConvertEdit.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/TextEdit_SetBufferLength.txt
-%%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/UnhideGUI.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/UnloadSymbol.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/UnloadTable.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/UnloadWindow.txt
@@ -412,8 +409,8 @@ share/pixmaps/gemrb.png
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/Window_CreateMapControl.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/Window_CreateScrollBar.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/Window_CreateTextEdit.txt
-%%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/Window_CreateWorldMapControl.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/Window_DeleteControl.txt
+%%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/Window_CreateWorldMapControl.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/Window_GetControl.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/Window_HasControl.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/Window_Invalidate.txt
@@ -438,7 +435,6 @@ share/pixmaps/gemrb.png
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/internal.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript/reserved_functions.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/GUIScript_introduction.txt
-%%PORTDOCS%%%%DOCSDIR%%/en/Makefile
 %%PORTDOCS%%%%DOCSDIR%%/en/Release.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/Tables/HPBARB.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/Tables/ability.txt
@@ -485,226 +481,23 @@ share/pixmaps/gemrb.png
 %%PORTDOCS%%%%DOCSDIR%%/en/Tables/splprot.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/Tables/start.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/Tables/states.txt
-%%PORTDOCS%%%%DOCSDIR%%/en/Tables/storespl.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/Tables/strings.txt
+%%PORTDOCS%%%%DOCSDIR%%/en/Tables/storespl.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/Tables/table_template.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/Tables/wildmag.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/Tables/wsshield.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/Tables/wssingle.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/Tables/wstwohnd.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/Tables/wstwowpn.txt
-%%PORTDOCS%%%%DOCSDIR%%/en/cmake_install.cmake
+%%PORTDOCS%%%%DOCSDIR%%/en/default_ini.txt
 %%PORTDOCS%%%%DOCSDIR%%/en/gemrb_ini.txt
-%%DATADIR%%/GUIScripts/Actor.py
-%%DATADIR%%/GUIScripts/AutodetectCommon.py
-%%DATADIR%%/GUIScripts/BGCommon.py
-%%DATADIR%%/GUIScripts/CommonTables.py
-%%DATADIR%%/GUIScripts/CommonWindow.py
-%%DATADIR%%/GUIScripts/DualClass.py
-%%DATADIR%%/GUIScripts/GUIClasses.py
-%%DATADIR%%/GUIScripts/GUICommon.py
-%%DATADIR%%/GUIScripts/GUICommonWindows.py
-%%DATADIR%%/GUIScripts/GUIDefines.py
-%%DATADIR%%/GUIScripts/GUIREC.py
-%%DATADIR%%/GUIScripts/GUIRECCommon.py
-%%DATADIR%%/GUIScripts/GUISAVE.py
-%%DATADIR%%/GUIScripts/GUISTORE.py
-%%DATADIR%%/GUIScripts/GUIWORLD.py
-%%DATADIR%%/GUIScripts/InventoryCommon.py
-%%DATADIR%%/GUIScripts/LUCommon.py
-%%DATADIR%%/GUIScripts/LUProfsSelection.py
-%%DATADIR%%/GUIScripts/LUSkillsSelection.py
-%%DATADIR%%/GUIScripts/LUSpellSelection.py
-%%DATADIR%%/GUIScripts/LevelUp.py
-%%DATADIR%%/GUIScripts/MetaClasses.py
-%%DATADIR%%/GUIScripts/Portrait.py
-%%DATADIR%%/GUIScripts/Spellbook.py
-%%DATADIR%%/GUIScripts/TextScreen.py
-%%DATADIR%%/GUIScripts/bg1/Autodetect.py
-%%DATADIR%%/GUIScripts/bg1/CharGen.py
-%%DATADIR%%/GUIScripts/bg1/CharGenCommon.py
-%%DATADIR%%/GUIScripts/bg1/CharGenGui.py
-%%DATADIR%%/GUIScripts/bg1/ExportFile.py
-%%DATADIR%%/GUIScripts/bg1/GUICG1.py
-%%DATADIR%%/GUIScripts/bg1/GUICG10.py
-%%DATADIR%%/GUIScripts/bg1/GUICG12.py
-%%DATADIR%%/GUIScripts/bg1/GUICG13.py
-%%DATADIR%%/GUIScripts/bg1/GUICG15.py
-%%DATADIR%%/GUIScripts/bg1/GUICG19.py
-%%DATADIR%%/GUIScripts/bg1/GUICG2.py
-%%DATADIR%%/GUIScripts/bg1/GUICG22.py
-%%DATADIR%%/GUIScripts/bg1/GUICG3.py
-%%DATADIR%%/GUIScripts/bg1/GUICG4.py
-%%DATADIR%%/GUIScripts/bg1/GUICG5.py
-%%DATADIR%%/GUIScripts/bg1/GUICG6.py
-%%DATADIR%%/GUIScripts/bg1/GUICG7.py
-%%DATADIR%%/GUIScripts/bg1/GUICG8.py
-%%DATADIR%%/GUIScripts/bg1/GUICG9.py
-%%DATADIR%%/GUIScripts/bg1/GUIINV.py
-%%DATADIR%%/GUIScripts/bg1/GUIJRNL.py
-%%DATADIR%%/GUIScripts/bg1/GUILOAD.py
-%%DATADIR%%/GUIScripts/bg1/GUIMA.py
-%%DATADIR%%/GUIScripts/bg1/GUIMG.py
-%%DATADIR%%/GUIScripts/bg1/GUIMOVIE.py
-%%DATADIR%%/GUIScripts/bg1/GUIMP.py
-%%DATADIR%%/GUIScripts/bg1/GUIOPT.py
-%%DATADIR%%/GUIScripts/bg1/GUIPR.py
-%%DATADIR%%/GUIScripts/bg1/GUISONGS.py
-%%DATADIR%%/GUIScripts/bg1/ImportFile.py
-%%DATADIR%%/GUIScripts/bg1/LoadScreen.py
-%%DATADIR%%/GUIScripts/bg1/MessageWindow.py
-%%DATADIR%%/GUIScripts/bg1/QuitGame.py
-%%DATADIR%%/GUIScripts/bg1/Start.py
-%%DATADIR%%/GUIScripts/bg2/Autodetect.py
-%%DATADIR%%/GUIScripts/bg2/CharGen.py
-%%DATADIR%%/GUIScripts/bg2/CharGen2.py
-%%DATADIR%%/GUIScripts/bg2/CharGen3.py
-%%DATADIR%%/GUIScripts/bg2/CharGen4.py
-%%DATADIR%%/GUIScripts/bg2/CharGen5.py
-%%DATADIR%%/GUIScripts/bg2/CharGen6.py
-%%DATADIR%%/GUIScripts/bg2/CharGen7.py
-%%DATADIR%%/GUIScripts/bg2/CharGen8.py
-%%DATADIR%%/GUIScripts/bg2/CharGen9.py
-%%DATADIR%%/GUIScripts/bg2/CharGenCommon.py
-%%DATADIR%%/GUIScripts/bg2/CharGenEnd.py
-%%DATADIR%%/GUIScripts/bg2/DemoEnd.py
-%%DATADIR%%/GUIScripts/bg2/ExportFile.py
-%%DATADIR%%/GUIScripts/bg2/GUICG1.py
-%%DATADIR%%/GUIScripts/bg2/GUICG10.py
-%%DATADIR%%/GUIScripts/bg2/GUICG12.py
-%%DATADIR%%/GUIScripts/bg2/GUICG13.py
-%%DATADIR%%/GUIScripts/bg2/GUICG15.py
-%%DATADIR%%/GUIScripts/bg2/GUICG19.py
-%%DATADIR%%/GUIScripts/bg2/GUICG2.py
-%%DATADIR%%/GUIScripts/bg2/GUICG22.py
-%%DATADIR%%/GUIScripts/bg2/GUICG23.py
-%%DATADIR%%/GUIScripts/bg2/GUICG24.py
-%%DATADIR%%/GUIScripts/bg2/GUICG3.py
-%%DATADIR%%/GUIScripts/bg2/GUICG4.py
-%%DATADIR%%/GUIScripts/bg2/GUICG5.py
-%%DATADIR%%/GUIScripts/bg2/GUICG6.py
-%%DATADIR%%/GUIScripts/bg2/GUICG7.py
-%%DATADIR%%/GUIScripts/bg2/GUICG8.py
-%%DATADIR%%/GUIScripts/bg2/GUICG9.py
-%%DATADIR%%/GUIScripts/bg2/GUIINV.py
-%%DATADIR%%/GUIScripts/bg2/GUIJRNL.py
-%%DATADIR%%/GUIScripts/bg2/GUILOAD.py
-%%DATADIR%%/GUIScripts/bg2/GUIMA.py
-%%DATADIR%%/GUIScripts/bg2/GUIMG.py
-%%DATADIR%%/GUIScripts/bg2/GUIMOVIE.py
-%%DATADIR%%/GUIScripts/bg2/GUIOPT.py
-%%DATADIR%%/GUIScripts/bg2/GUIOPT10.py
-%%DATADIR%%/GUIScripts/bg2/GUIOPT12.py
-%%DATADIR%%/GUIScripts/bg2/GUIOPT6.py
-%%DATADIR%%/GUIScripts/bg2/GUIOPT7.py
-%%DATADIR%%/GUIScripts/bg2/GUIOPT8.py
-%%DATADIR%%/GUIScripts/bg2/GUIOPT9.py
-%%DATADIR%%/GUIScripts/bg2/GUIPR.py
-%%DATADIR%%/GUIScripts/bg2/GUISONGS.py
-%%DATADIR%%/GUIScripts/bg2/ImportFile.py
-%%DATADIR%%/GUIScripts/bg2/ImportGame.py
-%%DATADIR%%/GUIScripts/bg2/LUHLASelection.py
-%%DATADIR%%/GUIScripts/bg2/LoadScreen.py
-%%DATADIR%%/GUIScripts/bg2/MessageWindow.py
-%%DATADIR%%/GUIScripts/bg2/QuitGame.py
-%%DATADIR%%/GUIScripts/bg2/Start.py
-%%DATADIR%%/GUIScripts/bg2/Start2.py
-%%DATADIR%%/GUIScripts/bg2/StartOpt.py
-%%DATADIR%%/GUIScripts/ie_action.py
-%%DATADIR%%/GUIScripts/ie_feats.py
-%%DATADIR%%/GUIScripts/ie_modal.py
-%%DATADIR%%/GUIScripts/ie_restype.py
-%%DATADIR%%/GUIScripts/ie_slots.py
-%%DATADIR%%/GUIScripts/ie_sounds.py
-%%DATADIR%%/GUIScripts/ie_spells.py
-%%DATADIR%%/GUIScripts/ie_stats.py
-%%DATADIR%%/GUIScripts/include.py
-%%DATADIR%%/GUIScripts/iwd/Autodetect.py
-%%DATADIR%%/GUIScripts/iwd/CharGen.py
-%%DATADIR%%/GUIScripts/iwd/GUIINV.py
-%%DATADIR%%/GUIScripts/iwd/GUIJRNL.py
-%%DATADIR%%/GUIScripts/iwd/GUILOAD.py
-%%DATADIR%%/GUIScripts/iwd/GUIMA.py
-%%DATADIR%%/GUIScripts/iwd/GUIMG.py
-%%DATADIR%%/GUIScripts/iwd/GUIMOVIE.py
-%%DATADIR%%/GUIScripts/iwd/GUIOPT.py
-%%DATADIR%%/GUIScripts/iwd/GUIPR.py
-%%DATADIR%%/GUIScripts/iwd/LoadScreen.py
-%%DATADIR%%/GUIScripts/iwd/MessageWindow.py
-%%DATADIR%%/GUIScripts/iwd/PartyFormation.py
-%%DATADIR%%/GUIScripts/iwd/QuitGame.py
-%%DATADIR%%/GUIScripts/iwd/Start.py
-%%DATADIR%%/GUIScripts/iwd2/Abilities.py
-%%DATADIR%%/GUIScripts/iwd2/Alignment.py
-%%DATADIR%%/GUIScripts/iwd2/Appearance.py
-%%DATADIR%%/GUIScripts/iwd2/AutoPause.py
-%%DATADIR%%/GUIScripts/iwd2/Autodetect.py
-%%DATADIR%%/GUIScripts/iwd2/CGPortrait.py
-%%DATADIR%%/GUIScripts/iwd2/CSound.py
-%%DATADIR%%/GUIScripts/iwd2/CharGen.py
-%%DATADIR%%/GUIScripts/iwd2/CharGen2.py
-%%DATADIR%%/GUIScripts/iwd2/CharGen3.py
-%%DATADIR%%/GUIScripts/iwd2/CharGen4.py
-%%DATADIR%%/GUIScripts/iwd2/CharGen5.py
-%%DATADIR%%/GUIScripts/iwd2/CharGen6.py
-%%DATADIR%%/GUIScripts/iwd2/CharGen7.py
-%%DATADIR%%/GUIScripts/iwd2/CharGen8.py
-%%DATADIR%%/GUIScripts/iwd2/CharGen9.py
-%%DATADIR%%/GUIScripts/iwd2/CharOverview.py
-%%DATADIR%%/GUIScripts/iwd2/CharSound.py
-%%DATADIR%%/GUIScripts/iwd2/Class.py
-%%DATADIR%%/GUIScripts/iwd2/Enemy.py
-%%DATADIR%%/GUIScripts/iwd2/Feats.py
-%%DATADIR%%/GUIScripts/iwd2/Feedback.py
-%%DATADIR%%/GUIScripts/iwd2/GUIINV.py
-%%DATADIR%%/GUIScripts/iwd2/GUIJRNL.py
-%%DATADIR%%/GUIScripts/iwd2/GUILOAD.py
-%%DATADIR%%/GUIScripts/iwd2/GUIMA.py
-%%DATADIR%%/GUIScripts/iwd2/GUIOPT.py
-%%DATADIR%%/GUIScripts/iwd2/GUIREC.py
-%%DATADIR%%/GUIScripts/iwd2/GUISPL.py
-%%DATADIR%%/GUIScripts/iwd2/GUIWORLD.py
-%%DATADIR%%/GUIScripts/iwd2/GamePlay.py
-%%DATADIR%%/GUIScripts/iwd2/Gender.py
-%%DATADIR%%/GUIScripts/iwd2/Graphics.py
-%%DATADIR%%/GUIScripts/iwd2/ImportFile.py
-%%DATADIR%%/GUIScripts/iwd2/LoadScreen.py
-%%DATADIR%%/GUIScripts/iwd2/MessageWindow.py
-%%DATADIR%%/GUIScripts/iwd2/Movies.py
-%%DATADIR%%/GUIScripts/iwd2/Name.py
-%%DATADIR%%/GUIScripts/iwd2/Options.py
-%%DATADIR%%/GUIScripts/iwd2/QuitGame.py
-%%DATADIR%%/GUIScripts/iwd2/Race.py
-%%DATADIR%%/GUIScripts/iwd2/SPParty.py
-%%DATADIR%%/GUIScripts/iwd2/SPParty2.py
-%%DATADIR%%/GUIScripts/iwd2/SPPartyFormation.py
-%%DATADIR%%/GUIScripts/iwd2/Skills.py
-%%DATADIR%%/GUIScripts/iwd2/Songs.py
-%%DATADIR%%/GUIScripts/iwd2/Sound.py
-%%DATADIR%%/GUIScripts/iwd2/Start.py
-%%DATADIR%%/GUIScripts/iwd2/SubRaces.py
-%%DATADIR%%/GUIScripts/maze_defs.py
-%%DATADIR%%/GUIScripts/pst/Autodetect.py
-%%DATADIR%%/GUIScripts/pst/FloatMenuWindow.py
-%%DATADIR%%/GUIScripts/pst/GUICommonWindows.py
-%%DATADIR%%/GUIScripts/pst/GUIINV.py
-%%DATADIR%%/GUIScripts/pst/GUIJRNL.py
-%%DATADIR%%/GUIScripts/pst/GUILOAD.py
-%%DATADIR%%/GUIScripts/pst/GUIMA.py
-%%DATADIR%%/GUIScripts/pst/GUIMG.py
-%%DATADIR%%/GUIScripts/pst/GUIOPT.py
-%%DATADIR%%/GUIScripts/pst/GUIPR.py
-%%DATADIR%%/GUIScripts/pst/GUIREC.py
-%%DATADIR%%/GUIScripts/pst/GUISAVE.py
-%%DATADIR%%/GUIScripts/pst/GUISTORE.py
-%%DATADIR%%/GUIScripts/pst/GUIWORLD.py
-%%DATADIR%%/GUIScripts/pst/LoadScreen.py
-%%DATADIR%%/GUIScripts/pst/Maze.py
-%%DATADIR%%/GUIScripts/pst/MessageWindow.py
-%%DATADIR%%/GUIScripts/pst/NewLife.py
-%%DATADIR%%/GUIScripts/pst/QuitGame.py
-%%DATADIR%%/GUIScripts/pst/Start.py
-%%DATADIR%%/GUIScripts/test/Start.py
+%%PORTDOCS%%%%DOCSDIR%%/en/CMakeFiles/CMakeDirectoryInformation.cmake
+%%PORTDOCS%%%%DOCSDIR%%/en/CMakeFiles/progress.marks
+%%PORTDOCS%%%%DOCSDIR%%/en/Makefile
+%%PORTDOCS%%%%DOCSDIR%%/en/cmake_install.cmake
+share/pixmaps/gemrb.png
+share/icons/hicolor/scalable/apps/gemrb.svg
+share/applications/gemrb.desktop
 %%DATADIR%%/minimal/README
 %%DATADIR%%/minimal/chitin.key
 %%DATADIR%%/minimal/data/action.ids
@@ -737,71 +530,33 @@ share/pixmaps/gemrb.png
 %%DATADIR%%/minimal/fhs.cfg
 %%DATADIR%%/minimal/test.cfg
 %%DATADIR%%/override/bg1/ability.2da
-%%DATADIR%%/override/bg1/acidblgr.pro
-%%DATADIR%%/override/bg1/acidblmu.pro
-%%DATADIR%%/override/bg1/acidblob.pro
-%%DATADIR%%/override/bg1/acidbloc.pro
 %%DATADIR%%/override/bg1/aligns.2da
 %%DATADIR%%/override/bg1/areapro.2da
-%%DATADIR%%/override/bg1/arrow.pro
-%%DATADIR%%/override/bg1/arrowex.pro
-%%DATADIR%%/override/bg1/arrowflb.pro
-%%DATADIR%%/override/bg1/arrowflg.pro
-%%DATADIR%%/override/bg1/arrowfli.pro
-%%DATADIR%%/override/bg1/arrowflm.pro
-%%DATADIR%%/override/bg1/arrowhvy.pro
 %%DATADIR%%/override/bg1/avatars.2da
 %%DATADIR%%/override/bg1/avprefc.2da
 %%DATADIR%%/override/bg1/avprefr.2da
-%%DATADIR%%/override/bg1/axe.pro
-%%DATADIR%%/override/bg1/axeex.pro
+%%DATADIR%%/override/bg1/bios.2da
 %%DATADIR%%/override/bg1/bloodclr.2da
-%%DATADIR%%/override/bg1/bolt.pro
-%%DATADIR%%/override/bg1/boltex.pro
-%%DATADIR%%/override/bg1/bullet.pro
-%%DATADIR%%/override/bg1/bulletex.pro
 %%DATADIR%%/override/bg1/cgtable.2da
-%%DATADIR%%/override/bg1/chromorb.pro
 %%DATADIR%%/override/bg1/classes.2da
-%%DATADIR%%/override/bg1/cloud.pro
-%%DATADIR%%/override/bg1/cloudkil.pro
 %%DATADIR%%/override/bg1/clowncol.2da
 %%DATADIR%%/override/bg1/clskills.2da
-%%DATADIR%%/override/bg1/dagger.pro
-%%DATADIR%%/override/bg1/daggerex.pro
 %%DATADIR%%/override/bg1/damage.2da
-%%DATADIR%%/override/bg1/dart.pro
-%%DATADIR%%/override/bg1/dartex.pro
 %%DATADIR%%/override/bg1/defsound.2da
 %%DATADIR%%/override/bg1/difflvls.2da
 %%DATADIR%%/override/bg1/dsclass.2da
 %%DATADIR%%/override/bg1/dsrace.2da
 %%DATADIR%%/override/bg1/dstable.2da
 %%DATADIR%%/override/bg1/dualclas.2da
-%%DATADIR%%/override/bg1/effects.ids
 %%DATADIR%%/override/bg1/efftext.2da
-%%DATADIR%%/override/bg1/fireball.pro
-%%DATADIR%%/override/bg1/fireblic.pro
-%%DATADIR%%/override/bg1/firebolt.pro
-%%DATADIR%%/override/bg1/firebtbl.pro
-%%DATADIR%%/override/bg1/firestor.pro
 %%DATADIR%%/override/bg1/fistweap.2da
 %%DATADIR%%/override/bg1/fonts.2da
+%%DATADIR%%/override/bg1/itemsnd.2da
 %%DATADIR%%/override/bg1/formatio.2da
 %%DATADIR%%/override/bg1/gametime.2da
-%%DATADIR%%/override/bg1/gaze.pro
-%%DATADIR%%/override/bg1/gemprjtl.ids
-%%DATADIR%%/override/bg1/gemrb.ini
-%%DATADIR%%/override/bg1/grease.pro
 %%DATADIR%%/override/bg1/guibtact.2da
-%%DATADIR%%/override/bg1/guils.chu
 %%DATADIR%%/override/bg1/haterace.2da
-%%DATADIR%%/override/bg1/icestorm.pro
-%%DATADIR%%/override/bg1/inarea.pro
-%%DATADIR%%/override/bg1/inareapa.pro
-%%DATADIR%%/override/bg1/inareasm.pro
 %%DATADIR%%/override/bg1/item_use.2da
-%%DATADIR%%/override/bg1/itemsnd.2da
 %%DATADIR%%/override/bg1/itemtype.2da
 %%DATADIR%%/override/bg1/itemuse.2da
 %%DATADIR%%/override/bg1/k_m_e.2da
@@ -810,10 +565,7 @@ share/pixmaps/gemrb.png
 %%DATADIR%%/override/bg1/k_m_he.2da
 %%DATADIR%%/override/bg1/kitlist.2da
 %%DATADIR%%/override/bg1/kittable.2da
-%%DATADIR%%/override/bg1/lightsto.pro
 %%DATADIR%%/override/bg1/magesch.2da
-%%DATADIR%%/override/bg1/magicmis.pro
-%%DATADIR%%/override/bg1/mpal256.bmp
 %%DATADIR%%/override/bg1/music.2da
 %%DATADIR%%/override/bg1/overlay.2da
 %%DATADIR%%/override/bg1/pathfind.2da
@@ -822,13 +574,64 @@ share/pixmaps/gemrb.png
 %%DATADIR%%/override/bg1/proftype.2da
 %%DATADIR%%/override/bg1/qslots.2da
 %%DATADIR%%/override/bg1/races.2da
+%%DATADIR%%/override/bg1/script.2da
 %%DATADIR%%/override/bg1/randitem.2da
 %%DATADIR%%/override/bg1/savegame.2da
-%%DATADIR%%/override/bg1/script.2da
 %%DATADIR%%/override/bg1/shtable.2da
 %%DATADIR%%/override/bg1/skills.2da
-%%DATADIR%%/override/bg1/sleep.pro
 %%DATADIR%%/override/bg1/slottype.2da
+%%DATADIR%%/override/bg1/splspec.2da
+%%DATADIR%%/override/bg1/start.2da
+%%DATADIR%%/override/bg1/strings.2da
+%%DATADIR%%/override/bg1/vcremap.2da
+%%DATADIR%%/override/bg1/walksnd.2da
+%%DATADIR%%/override/bg1/weapprof.2da
+%%DATADIR%%/override/bg1/wssingle.2da
+%%DATADIR%%/override/bg1/mpal256.bmp
+%%DATADIR%%/override/bg1/gemrb.ini
+%%DATADIR%%/override/bg1/polish.ini
+%%DATADIR%%/override/bg1/guils.chu
+%%DATADIR%%/override/bg1/effects.ids
+%%DATADIR%%/override/bg1/gemprjtl.ids
+%%DATADIR%%/override/bg1/acidblgr.pro
+%%DATADIR%%/override/bg1/acidblmu.pro
+%%DATADIR%%/override/bg1/acidblob.pro
+%%DATADIR%%/override/bg1/acidbloc.pro
+%%DATADIR%%/override/bg1/arrow.pro
+%%DATADIR%%/override/bg1/arrowex.pro
+%%DATADIR%%/override/bg1/arrowflb.pro
+%%DATADIR%%/override/bg1/arrowflg.pro
+%%DATADIR%%/override/bg1/arrowfli.pro
+%%DATADIR%%/override/bg1/arrowflm.pro
+%%DATADIR%%/override/bg1/arrowhvy.pro
+%%DATADIR%%/override/bg1/axe.pro
+%%DATADIR%%/override/bg1/axeex.pro
+%%DATADIR%%/override/bg1/bolt.pro
+%%DATADIR%%/override/bg1/boltex.pro
+%%DATADIR%%/override/bg1/bullet.pro
+%%DATADIR%%/override/bg1/bulletex.pro
+%%DATADIR%%/override/bg1/chromorb.pro
+%%DATADIR%%/override/bg1/cloud.pro
+%%DATADIR%%/override/bg1/cloudkil.pro
+%%DATADIR%%/override/bg1/dagger.pro
+%%DATADIR%%/override/bg1/daggerex.pro
+%%DATADIR%%/override/bg1/dart.pro
+%%DATADIR%%/override/bg1/dartex.pro
+%%DATADIR%%/override/bg1/fireball.pro
+%%DATADIR%%/override/bg1/fireblic.pro
+%%DATADIR%%/override/bg1/firebolt.pro
+%%DATADIR%%/override/bg1/firebtbl.pro
+%%DATADIR%%/override/bg1/firestor.pro
+%%DATADIR%%/override/bg1/gaze.pro
+%%DATADIR%%/override/bg1/grease.pro
+%%DATADIR%%/override/bg1/icestorm.pro
+%%DATADIR%%/override/bg1/inarea.pro
+%%DATADIR%%/override/bg1/inareapa.pro
+%%DATADIR%%/override/bg1/inareasm.pro
+%%DATADIR%%/override/bg1/web.pro
+%%DATADIR%%/override/bg1/lightsto.pro
+%%DATADIR%%/override/bg1/magicmis.pro
+%%DATADIR%%/override/bg1/sleep.pro
 %%DATADIR%%/override/bg1/sparbknp.pro
 %%DATADIR%%/override/bg1/sparbkpa.pro
 %%DATADIR%%/override/bg1/sparblnp.pro
@@ -844,6 +647,7 @@ share/pixmaps/gemrb.png
 %%DATADIR%%/override/bg1/sparklbk.pro
 %%DATADIR%%/override/bg1/sparklbl.pro
 %%DATADIR%%/override/bg1/sparklch.pro
+%%DATADIR%%/override/bg1/spear.pro
 %%DATADIR%%/override/bg1/sparklgo.pro
 %%DATADIR%%/override/bg1/sparklgr.pro
 %%DATADIR%%/override/bg1/sparklic.pro
@@ -862,7 +666,6 @@ share/pixmaps/gemrb.png
 %%DATADIR%%/override/bg1/sparrepa.pro
 %%DATADIR%%/override/bg1/sparstnp.pro
 %%DATADIR%%/override/bg1/sparstpa.pro
-%%DATADIR%%/override/bg1/spear.pro
 %%DATADIR%%/override/bg1/spearex.pro
 %%DATADIR%%/override/bg1/spfirebl.pro
 %%DATADIR%%/override/bg1/spklarbk.pro
@@ -876,24 +679,15 @@ share/pixmaps/gemrb.png
 %%DATADIR%%/override/bg1/spklarpu.pro
 %%DATADIR%%/override/bg1/spklarre.pro
 %%DATADIR%%/override/bg1/spklarst.pro
-%%DATADIR%%/override/bg1/splspec.2da
 %%DATADIR%%/override/bg1/spscorch.pro
 %%DATADIR%%/override/bg1/spscoric.pro
-%%DATADIR%%/override/bg1/start.2da
 %%DATADIR%%/override/bg1/stone.pro
-%%DATADIR%%/override/bg1/strings.2da
 %%DATADIR%%/override/bg1/trapglyp.pro
 %%DATADIR%%/override/bg1/trapskul.pro
-%%DATADIR%%/override/bg1/vcremap.2da
-%%DATADIR%%/override/bg1/walksnd.2da
-%%DATADIR%%/override/bg1/weapprof.2da
-%%DATADIR%%/override/bg1/web.pro
-%%DATADIR%%/override/bg1/wssingle.2da
 %%DATADIR%%/override/bg2/HPBARB.2da
 %%DATADIR%%/override/bg2/ability.2da
 %%DATADIR%%/override/bg2/aligns.2da
 %%DATADIR%%/override/bg2/areapro.2da
-%%DATADIR%%/override/bg2/at2xlvl.spl
 %%DATADIR%%/override/bg2/avatars.2da
 %%DATADIR%%/override/bg2/avprefc.2da
 %%DATADIR%%/override/bg2/avprefr.2da
@@ -902,29 +696,19 @@ share/pixmaps/gemrb.png
 %%DATADIR%%/override/bg2/classes.2da
 %%DATADIR%%/override/bg2/clowncol.2da
 %%DATADIR%%/override/bg2/clskills.2da
-%%DATADIR%%/override/bg2/colrspry.pro
-%%DATADIR%%/override/bg2/comet.pro
 %%DATADIR%%/override/bg2/damage.2da
 %%DATADIR%%/override/bg2/defsound.2da
 %%DATADIR%%/override/bg2/denyspl.2da
 %%DATADIR%%/override/bg2/dsclass.2da
 %%DATADIR%%/override/bg2/dsrace.2da
 %%DATADIR%%/override/bg2/dstable.2da
-%%DATADIR%%/override/bg2/effects.ids
 %%DATADIR%%/override/bg2/efftext.2da
-%%DATADIR%%/override/bg2/findtrap.spl
 %%DATADIR%%/override/bg2/fistweap.2da
 %%DATADIR%%/override/bg2/fonts.2da
 %%DATADIR%%/override/bg2/formatio.2da
 %%DATADIR%%/override/bg2/gametime.2da
-%%DATADIR%%/override/bg2/gemprjtl.ids
-%%DATADIR%%/override/bg2/gemrb.ini
 %%DATADIR%%/override/bg2/gender.2da
 %%DATADIR%%/override/bg2/guibtact.2da
-%%DATADIR%%/override/bg2/guiid.chu
-%%DATADIR%%/override/bg2/guils.chu
-%%DATADIR%%/override/bg2/halvdur.spl
-%%DATADIR%%/override/bg2/hlymite.pro
 %%DATADIR%%/override/bg2/item_use.2da
 %%DATADIR%%/override/bg2/itemsnd.2da
 %%DATADIR%%/override/bg2/itemspec.2da
@@ -941,10 +725,7 @@ share/pixmaps/gemrb.png
 %%DATADIR%%/override/bg2/k_m_g.2da
 %%DATADIR%%/override/bg2/k_m_h.2da
 %%DATADIR%%/override/bg2/k_m_he.2da
-%%DATADIR%%/override/bg2/lightb.pro
-%%DATADIR%%/override/bg2/lightbnb.pro
 %%DATADIR%%/override/bg2/magesch.2da
-%%DATADIR%%/override/bg2/minorglb.vvc
 %%DATADIR%%/override/bg2/modal.2da
 %%DATADIR%%/override/bg2/monkbon.2da
 %%DATADIR%%/override/bg2/overlay.2da
@@ -956,27 +737,14 @@ share/pixmaps/gemrb.png
 %%DATADIR%%/override/bg2/qslots.2da
 %%DATADIR%%/override/bg2/races.2da
 %%DATADIR%%/override/bg2/randitem.2da
-%%DATADIR%%/override/bg2/rest.spl
 %%DATADIR%%/override/bg2/restmov.2da
-%%DATADIR%%/override/bg2/sanctry.vvc
 %%DATADIR%%/override/bg2/savegame.2da
 %%DATADIR%%/override/bg2/script.2da
 %%DATADIR%%/override/bg2/shtable.2da
 %%DATADIR%%/override/bg2/skills.2da
 %%DATADIR%%/override/bg2/slottype.2da
-%%DATADIR%%/override/bg2/snow.spl
-%%DATADIR%%/override/bg2/spbrnhnd.pro
-%%DATADIR%%/override/bg2/spconeco.pro
 %%DATADIR%%/override/bg2/spells.2da
-%%DATADIR%%/override/bg2/spentaci.vvc
-%%DATADIR%%/override/bg2/spfdeath.pro
-%%DATADIR%%/override/bg2/spfirewl.pro
-%%DATADIR%%/override/bg2/spgenhla.pro
-%%DATADIR%%/override/bg2/spholymt.pro
 %%DATADIR%%/override/bg2/splspec.2da
-%%DATADIR%%/override/bg2/spscorch.pro
-%%DATADIR%%/override/bg2/spscoric.pro
-%%DATADIR%%/override/bg2/spshield.vvc
 %%DATADIR%%/override/bg2/start.2da
 %%DATADIR%%/override/bg2/strings.2da
 %%DATADIR%%/override/bg2/walksnd.2da
@@ -986,7 +754,96 @@ share/pixmaps/gemrb.png
 %%DATADIR%%/override/bg2/wssingle.2da
 %%DATADIR%%/override/bg2/wstwohnd.2da
 %%DATADIR%%/override/bg2/wstwowpn.2da
+%%DATADIR%%/override/bg2/gemrb.ini
+%%DATADIR%%/override/bg2/guiid.chu
+%%DATADIR%%/override/bg2/guils.chu
+%%DATADIR%%/override/bg2/effects.ids
+%%DATADIR%%/override/bg2/gemprjtl.ids
+%%DATADIR%%/override/bg2/minorglb.vvc
+%%DATADIR%%/override/bg2/sanctry.vvc
+%%DATADIR%%/override/bg2/spentaci.vvc
+%%DATADIR%%/override/bg2/spshield.vvc
+%%DATADIR%%/override/bg2/at2xlvl.spl
+%%DATADIR%%/override/bg2/findtrap.spl
+%%DATADIR%%/override/bg2/halvdur.spl
+%%DATADIR%%/override/bg2/rest.spl
+%%DATADIR%%/override/bg2/snow.spl
+%%DATADIR%%/override/bg2/colrspry.pro
+%%DATADIR%%/override/bg2/comet.pro
+%%DATADIR%%/override/bg2/hlymite.pro
+%%DATADIR%%/override/bg2/lightb.pro
+%%DATADIR%%/override/bg2/lightbnb.pro
+%%DATADIR%%/override/bg2/spbrnhnd.pro
+%%DATADIR%%/override/bg2/spconeco.pro
+%%DATADIR%%/override/bg2/spfdeath.pro
+%%DATADIR%%/override/bg2/spfirewl.pro
+%%DATADIR%%/override/bg2/spgenhla.pro
+%%DATADIR%%/override/bg2/spholymt.pro
+%%DATADIR%%/override/bg2/spscorch.pro
+%%DATADIR%%/override/bg2/spscoric.pro
 %%DATADIR%%/override/how/ability.2da
+%%DATADIR%%/override/how/aligns.2da
+%%DATADIR%%/override/how/areapro.2da
+%%DATADIR%%/override/how/avatars.2da
+%%DATADIR%%/override/how/avprefc.2da
+%%DATADIR%%/override/how/avprefr.2da
+%%DATADIR%%/override/how/bloodclr.2da
+%%DATADIR%%/override/how/cgtable.2da
+%%DATADIR%%/override/how/classes.2da
+%%DATADIR%%/override/how/clowncol.2da
+%%DATADIR%%/override/how/clskills.2da
+%%DATADIR%%/override/how/clssplab.2da
+%%DATADIR%%/override/how/cynicism.2da
+%%DATADIR%%/override/how/damage.2da
+%%DATADIR%%/override/how/defsound.2da
+%%DATADIR%%/override/how/difflvls.2da
+%%DATADIR%%/override/how/dsclass.2da
+%%DATADIR%%/override/how/dsrace.2da
+%%DATADIR%%/override/how/dstable.2da
+%%DATADIR%%/override/how/dualclas.2da
+%%DATADIR%%/override/how/efftext.2da
+%%DATADIR%%/override/how/fistweap.2da
+%%DATADIR%%/override/how/fonts.2da
+%%DATADIR%%/override/how/formatio.2da
+%%DATADIR%%/override/how/gametime.2da
+%%DATADIR%%/override/how/gender.2da
+%%DATADIR%%/override/how/guibtact.2da
+%%DATADIR%%/override/how/haterace.2da
+%%DATADIR%%/override/how/island00.2da
+%%DATADIR%%/override/how/itemsnd.2da
+%%DATADIR%%/override/how/itemtype.2da
+%%DATADIR%%/override/how/itemuse.2da
+%%DATADIR%%/override/how/kitlist.2da
+%%DATADIR%%/override/how/magesch.2da
+%%DATADIR%%/override/how/overlay.2da
+%%DATADIR%%/override/how/pathfind.2da
+%%DATADIR%%/override/how/pdolls.2da
+%%DATADIR%%/override/how/pictures.2da
+%%DATADIR%%/override/how/pomab.2da
+%%DATADIR%%/override/how/proftype.2da
+%%DATADIR%%/override/how/qslots.2da
+%%DATADIR%%/override/how/races.2da
+%%DATADIR%%/override/how/randitem.2da
+%%DATADIR%%/override/how/savegame.2da
+%%DATADIR%%/override/how/script.2da
+%%DATADIR%%/override/how/shtable.2da
+%%DATADIR%%/override/how/skills.2da
+%%DATADIR%%/override/how/slottype.2da
+%%DATADIR%%/override/how/splprot.2da
+%%DATADIR%%/override/how/splspec.2da
+%%DATADIR%%/override/how/start.2da
+%%DATADIR%%/override/how/strings.2da
+%%DATADIR%%/override/how/vcremap.2da
+%%DATADIR%%/override/how/weapprof.2da
+%%DATADIR%%/override/how/gemrb.ini
+%%DATADIR%%/override/how/guils.chu
+%%DATADIR%%/override/how/effects.ids
+%%DATADIR%%/override/how/gemprjtl.ids
+%%DATADIR%%/override/how/baldur.bcs
+%%DATADIR%%/override/how/prtl_cl.spl
+%%DATADIR%%/override/how/prtl_op.spl
+%%DATADIR%%/override/how/scharge.spl
+%%DATADIR%%/override/how/turn.spl
 %%DATADIR%%/override/how/abjurap.pro
 %%DATADIR%%/override/how/abjurh.pro
 %%DATADIR%%/override/how/abjurt.pro
@@ -998,7 +855,6 @@ share/pixmaps/gemrb.png
 %%DATADIR%%/override/how/adhwil.pro
 %%DATADIR%%/override/how/adhwilh.pro
 %%DATADIR%%/override/how/alance.pro
-%%DATADIR%%/override/how/aligns.2da
 %%DATADIR%%/override/how/altera.pro
 %%DATADIR%%/override/how/alteranp.pro
 %%DATADIR%%/override/how/alterap.pro
@@ -1011,7 +867,6 @@ share/pixmaps/gemrb.png
 %%DATADIR%%/override/how/area2np.pro
 %%DATADIR%%/override/how/area3p.pro
 %%DATADIR%%/override/how/area4np.pro
-%%DATADIR%%/override/how/areapro.2da
 %%DATADIR%%/override/how/armorh.pro
 %%DATADIR%%/override/how/arrow.pro
 %%DATADIR%%/override/how/arrowex.pro
@@ -1027,18 +882,14 @@ share/pixmaps/gemrb.png
 %%DATADIR%%/override/how/asumm1x.pro
 %%DATADIR%%/override/how/asumm2h.pro
 %%DATADIR%%/override/how/asumm3h.pro
-%%DATADIR%%/override/how/avatars.2da
-%%DATADIR%%/override/how/avprefc.2da
-%%DATADIR%%/override/how/avprefr.2da
 %%DATADIR%%/override/how/axe.pro
+%%DATADIR%%/override/how/web.pro
 %%DATADIR%%/override/how/axeex.pro
-%%DATADIR%%/override/how/baldur.bcs
 %%DATADIR%%/override/how/bbarrh1.pro
 %%DATADIR%%/override/how/bbarrh2.pro
 %%DATADIR%%/override/how/bbarrier.pro
 %%DATADIR%%/override/how/bdeath.pro
 %%DATADIR%%/override/how/blessh.pro
-%%DATADIR%%/override/how/bloodclr.2da
 %%DATADIR%%/override/how/bolt.pro
 %%DATADIR%%/override/how/boltex.pro
 %%DATADIR%%/override/how/bscloud.pro
@@ -1057,19 +908,14 @@ share/pixmaps/gemrb.png
 %%DATADIR%%/override/how/cfelemx.pro
 %%DATADIR%%/override/how/cfog.pro
 %%DATADIR%%/override/how/cgraceh.pro
-%%DATADIR%%/override/how/cgtable.2da
 %%DATADIR%%/override/how/chant.pro
 %%DATADIR%%/override/how/chromorb.pro
-%%DATADIR%%/override/how/classes.2da
 %%DATADIR%%/override/how/cldamah.pro
 %%DATADIR%%/override/how/cloud.pro
 %%DATADIR%%/override/how/cloudb.pro
 %%DATADIR%%/override/how/cloudbh.pro
 %%DATADIR%%/override/how/cloudkil.pro
 %%DATADIR%%/override/how/cloudks.pro
-%%DATADIR%%/override/how/clowncol.2da
-%%DATADIR%%/override/how/clskills.2da
-%%DATADIR%%/override/how/clssplab.2da
 %%DATADIR%%/override/how/clwounh.pro
 %%DATADIR%%/override/how/cmdamah.pro
 %%DATADIR%%/override/how/cmwounh.pro
@@ -1099,17 +945,14 @@ share/pixmaps/gemrb.png
 %%DATADIR%%/override/how/cwelem1.pro
 %%DATADIR%%/override/how/cwelemh.pro
 %%DATADIR%%/override/how/cwelemx.pro
-%%DATADIR%%/override/how/cynicism.2da
 %%DATADIR%%/override/how/dagger.pro
 %%DATADIR%%/override/how/daggerex.pro
-%%DATADIR%%/override/how/damage.2da
 %%DATADIR%%/override/how/dart.pro
 %%DATADIR%%/override/how/dartex.pro
 %%DATADIR%%/override/how/dbreath.pro
 %%DATADIR%%/override/how/ddeath.pro
 %%DATADIR%%/override/how/ddeath2.pro
 %%DATADIR%%/override/how/ddoorh.pro
-%%DATADIR%%/override/how/defsound.2da
 %%DATADIR%%/override/how/destruh.pro
 %%DATADIR%%/override/how/dfog.pro
 %%DATADIR%%/override/how/disint.pro
@@ -1117,14 +960,8 @@ share/pixmaps/gemrb.png
 %%DATADIR%%/override/how/dispel.pro
 %%DATADIR%%/override/how/divinh.pro
 %%DATADIR%%/override/how/divint.pro
-%%DATADIR%%/override/how/dsclass.2da
 %%DATADIR%%/override/how/dspell.pro
 %%DATADIR%%/override/how/dspellh.pro
-%%DATADIR%%/override/how/dsrace.2da
-%%DATADIR%%/override/how/dstable.2da
-%%DATADIR%%/override/how/dualclas.2da
-%%DATADIR%%/override/how/effects.ids
-%%DATADIR%%/override/how/efftext.2da
 %%DATADIR%%/override/how/electrh.pro
 %%DATADIR%%/override/how/emotion.pro
 %%DATADIR%%/override/how/enchah.pro
@@ -1141,26 +978,16 @@ share/pixmaps/gemrb.png
 %%DATADIR%%/override/how/firebtbl.pro
 %%DATADIR%%/override/how/fireh.pro
 %%DATADIR%%/override/how/firestor.pro
-%%DATADIR%%/override/how/fistweap.2da
 %%DATADIR%%/override/how/fodeath.pro
-%%DATADIR%%/override/how/fonts.2da
-%%DATADIR%%/override/how/formatio.2da
 %%DATADIR%%/override/how/fseed.pro
 %%DATADIR%%/override/how/fstrikh.pro
-%%DATADIR%%/override/how/gametime.2da
 %%DATADIR%%/override/how/garmorh.pro
 %%DATADIR%%/override/how/gaze.pro
-%%DATADIR%%/override/how/gemprjtl.ids
-%%DATADIR%%/override/how/gemrb.ini
-%%DATADIR%%/override/how/gender.2da
 %%DATADIR%%/override/how/golcloud.pro
 %%DATADIR%%/override/how/grease.pro
 %%DATADIR%%/override/how/gshout.pro
-%%DATADIR%%/override/how/guibtact.2da
-%%DATADIR%%/override/how/guils.chu
 %%DATADIR%%/override/how/harmh.pro
 %%DATADIR%%/override/how/harmony.pro
-%%DATADIR%%/override/how/haterace.2da
 %%DATADIR%%/override/how/healh.pro
 %%DATADIR%%/override/how/hmighth.pro
 %%DATADIR%%/override/how/hold.pro
@@ -1180,16 +1007,10 @@ share/pixmaps/gemrb.png
 %%DATADIR%%/override/how/invoch.pro
 %%DATADIR%%/override/how/invoct.pro
 %%DATADIR%%/override/how/iplague.pro
-%%DATADIR%%/override/how/island00.2da
-%%DATADIR%%/override/how/itemsnd.2da
-%%DATADIR%%/override/how/itemtype.2da
-%%DATADIR%%/override/how/itemuse.2da
-%%DATADIR%%/override/how/kitlist.2da
 %%DATADIR%%/override/how/lightb.pro
 %%DATADIR%%/override/how/lightbnb.pro
 %%DATADIR%%/override/how/lightsto.pro
 %%DATADIR%%/override/how/lodisr.pro
-%%DATADIR%%/override/how/magesch.2da
 %%DATADIR%%/override/how/magicmis.pro
 %%DATADIR%%/override/how/malison.pro
 %%DATADIR%%/override/how/mfmiss.pro
@@ -1216,33 +1037,22 @@ share/pixmaps/gemrb.png
 %%DATADIR%%/override/how/necrot.pro
 %%DATADIR%%/override/how/npoisoh.pro
 %%DATADIR%%/override/how/ofsphe.pro
-%%DATADIR%%/override/how/overlay.2da
 %%DATADIR%%/override/how/paralh.pro
-%%DATADIR%%/override/how/pathfind.2da
-%%DATADIR%%/override/how/pdolls.2da
 %%DATADIR%%/override/how/pfire.pro
-%%DATADIR%%/override/how/pictures.2da
 %%DATADIR%%/override/how/poisonh.pro
-%%DATADIR%%/override/how/pomab.2da
 %%DATADIR%%/override/how/portal.pro
 %%DATADIR%%/override/how/prayer.pro
 %%DATADIR%%/override/how/prayerh.pro
-%%DATADIR%%/override/how/proftype.2da
 %%DATADIR%%/override/how/protevil.pro
 %%DATADIR%%/override/how/prtl_cl.pro
-%%DATADIR%%/override/how/prtl_cl.spl
 %%DATADIR%%/override/how/prtl_op.pro
-%%DATADIR%%/override/how/prtl_op.spl
 %%DATADIR%%/override/how/pspray.pro
 %%DATADIR%%/override/how/pwkill.pro
 %%DATADIR%%/override/how/pwsileh.pro
 %%DATADIR%%/override/how/pwstun.pro
 %%DATADIR%%/override/how/pwstunh.pro
-%%DATADIR%%/override/how/qslots.2da
-%%DATADIR%%/override/how/races.2da
 %%DATADIR%%/override/how/rad100.pro
 %%DATADIR%%/override/how/rad250.pro
-%%DATADIR%%/override/how/randitem.2da
 %%DATADIR%%/override/how/rdeadh.pro
 %%DATADIR%%/override/how/recitah.pro
 %%DATADIR%%/override/how/resurrh.pro
@@ -1251,21 +1061,15 @@ share/pixmaps/gemrb.png
 %%DATADIR%%/override/how/rwotfag.pro
 %%DATADIR%%/override/how/rwotfah.pro
 %%DATADIR%%/override/how/sarmorh.pro
-%%DATADIR%%/override/how/savegame.2da
 %%DATADIR%%/override/how/scharge.pro
-%%DATADIR%%/override/how/scharge.spl
 %%DATADIR%%/override/how/schargh.pro
-%%DATADIR%%/override/how/script.2da
 %%DATADIR%%/override/how/seater.pro
 %%DATADIR%%/override/how/seaterh.pro
 %%DATADIR%%/override/how/sgrowth.pro
 %%DATADIR%%/override/how/shout.pro
 %%DATADIR%%/override/how/shroud.pro
-%%DATADIR%%/override/how/shtable.2da
-%%DATADIR%%/override/how/skills.2da
 %%DATADIR%%/override/how/sleep.pro
 %%DATADIR%%/override/how/slivinh.pro

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Alex Kozlov freebsd_committer 2013-01-18 05:46:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ak

I'll take it.
Comment 8 Alex Kozlov freebsd_committer 2013-01-18 05:46:43 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!